Index: c/src/lib/libbsp/i386/force386/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/force386/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/i386/force386/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/i386/go32/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/go32/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/i386/go32/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/i386/i386ex/bsp_specs
===================================================================
--- c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/i386/i386ex/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/i960/cvme961/bsp_specs
===================================================================
--- c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/i960/cvme961/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/dmv152/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/dmv152/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/efi332/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/efi332/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/efi68k/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/efi68k/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/gen68302/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/gen68302/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start302.o%s
+{!pg:
+g: start302.o%s
+{!g:
+p: start302.o%s
+!p: start302.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/gen68360/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/gen68360/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start360.o%s
+{!pg:
+g: start360.o%s
+{!g:
+p: start360.o%s
+!p: start360.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/idp/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/idp/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/idp/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/mvme136/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/mvme136/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/mvme147/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/mvme147/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/mvme147s/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/mvme147s/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/m68k/mvme162/bsp_specs
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/m68k/mvme162/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: start.o%s
+{!pg:
+g: start.o%s
+{!g:
+p: start.o%s
+!p: start.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/mips/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips/p4000/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/mips/p4000/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: idt_csu.o%s
+{!pg:
+g: idt_csu.o%s
+{!g:
+p: idt_csu.o%s
+!p: idt_csu.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/mips64orion/p4000/bsp_specs
===================================================================
--- c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/mips64orion/p4000/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: idt_csu.o%s
+{!pg:
+g: idt_csu.o%s
+{!g:
+p: idt_csu.o%s
+!p: idt_csu.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/powerpc/papyrus/bsp_specs
===================================================================
--- c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/powerpc/papyrus/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: 
+{!pg:
+g: 
+{!g:
+p: 
+!p: 
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -u __vectors -u download_entry -N -T linkcmds%s 
+
+lib: replace
+mrtems: ecrti%O%s -( -lc -lrtemsall -lgcc -) 
+
+
+libgcc: replace
+
+
+
Index: c/src/lib/libbsp/sparc/erc32/bsp_specs
===================================================================
--- c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
+++ c/src/lib/libbsp/sparc/erc32/bsp_specs	(revision b1b5a7cb431358ae8a617e427b53878152d75969)
@@ -0,0 +1,34 @@
+
+predefines:
+-D__embedded__ -Asystem(embedded)
+
+startfile: replace
+mrtems:
+pg: startsis.o%s
+{!pg:
+g: startsis.o%s
+{!g:
+p: startsis.o%s
+!p: startsis.o%s
+}}
+{!mrtems:
+pg: pgcrt0%O
+{!pg:
+g: gcrt0%O
+{!g:
+p: pcrt0%O
+!p: crt0%O
+}}}
+
+
+link: replace
+mrtems: -dc -dp -N -T linkcmds%s -e start
+
+lib: replace
+mrtems: -( -lc -lrtemsall -lgcc -)
+
+
+libgcc: replace
+
+
+
